Bug 846254 - [abrt]: BUG: unable to handle kernel NULL pointer dereference at 0000000000000018 cachefiles_lookup_object()
[abrt]: BUG: unable to handle kernel NULL pointer dereference at 000000000000...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: nfs-maint
Fedora Extras Quality Assurance
Depends On:
Blocks: 859301
  Show dependency treegraph
Reported: 2012-08-07 05:17 EDT by James Cape
Modified: 2012-12-17 20:37 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 859301 (view as bug list)
Last Closed: 2012-12-17 20:37:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Cape 2012-08-07 05:17:52 EDT
libreport version: 2.0.10
cmdline:        BOOT_IMAGE=/vmlinuz-3.4.2-1.fc16.x86_64 root=/dev/mapper/vg_qr5nyc2-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_qr5nyc2/lv_swap KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rd.lvm.lv=vg_qr5nyc2/lv_root rhgb rd.luks=0 LANG=en_US.UTF-8 nmi_watchdog=0

:BUG: unable to handle kernel NULL pointer dereference at 0000000000000018
:IP: [<ffffffffa03bdbec>] cachefiles_lookup_object+0x9c/0x100 [cachefiles]
:PGD 0 
:Oops: 0000 [#1] SMP 
:CPU 9 
:Modules linked in: cachefiles nfs fscache auth_rpcgss nfs_acl binfmt_misc mpt2sas scsi_transport_sas raid_class mptctl mptbase lockd 8021q garp stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables microcode amd64_edac_mod serio_raw sp5100_tco edac_core k10temp i2c_piix4 edac_mce_amd i2c_core tpm_tis tpm tpm_bios ixgbe dca mdio bnx2 sunrpc megaraid_sas [last unloaded: scsi_wait_scan]
:Pid: 63787, comm: kworker/u:5 Not tainted 3.4.2-1.fc16.x86_64 #1 IBM IBM System X3755 M3 -[7164AC1]-/00D3670     
:RIP: 0010:[<ffffffffa03bdbec>]  [<ffffffffa03bdbec>] cachefiles_lookup_object+0x9c/0x100 [cachefiles]
:RSP: 0018:ffff88195d681d70  EFLAGS: 00010246
:RAX: 0000000000000000 RBX: ffff880b78448a80 RCX: 0000000000000002
:RDX: ffff8818dfca5c00 RSI: 0000000000000286 RDI: ffff88191f290540
:RBP: ffff88195d681d90 R08: ffff880d531d3ba8 R09: 0000000000000100
:R10: 00000000000093a9 R11: 0000000000000000 R12: 0000000000000000
:R13: ffff88191f290540 R14: ffff880d5dfb2630 R15: ffff8830687dea05
:FS:  00007fb07f13b740(0000) GS:ffff880d67cc0000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:CR2: 0000000000000018 CR3: 0000000001c0b000 CR4: 00000000000007e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process kworker/u:5 (pid: 63787, threadinfo ffff88195d680000, task ffff8818dfca5c40)
: ffff880b78448a80 ffff88052bb80180 ffff880d5d88af50 ffffffffa0326cb0
: ffff88195d681dc0 ffffffffa03267f4 ffff880b78448b00 ffff880b78448b00
: ffff880b78448a80 ffff8830687dea00 ffff88195d681e00 ffffffffa0326e48
:Call Trace:
: [<ffffffffa0326cb0>] ? fscache_drop_object+0x150/0x150 [fscache]
: [<ffffffffa03267f4>] fscache_lookup_object+0x94/0x180 [fscache]
: [<ffffffffa0326e48>] fscache_object_work_func+0x198/0x860 [fscache]
: [<ffffffffa0326cb0>] ? fscache_drop_object+0x150/0x150 [fscache]
: [<ffffffff8107362e>] process_one_work+0x11e/0x470
: [<ffffffff8107470f>] worker_thread+0x15f/0x360
: [<ffffffff810745b0>] ? manage_workers+0x230/0x230
: [<ffffffff810791a3>] kthread+0x93/0xa0
: [<ffffffff81601624>] kernel_thread_helper+0x4/0x10
: [<ffffffff81079110>] ? kthread_freezable_should_stop+0x70/0x70
: [<ffffffff81601620>] ? gs_change+0x13/0x13
:Code: 84 c0 74 0b 41 83 fc 97 75 65 f0 80 4b 38 08 44 89 e0 48 8b 5d e0 4c 8b 65 e8 4c 8b 6d f0 4c 8b 75 f8 c9 c3 0f 1f 00 48 8b 43 70 <48> 8b 40 18 80 78 10 00 74 da 48 89 df e8 f2 f9 ff ff eb d0 48 
:RIP  [<ffffffffa03bdbec>] cachefiles_lookup_object+0x9c/0x100 [cachefiles]
: RSP <ffff88195d681d70>
:CR2: 0000000000000018
Comment 1 Justin M. Forbes 2012-08-17 12:56:51 EDT
Has this happened more than once? Anything special to trigger this? Was there an abnormally high load?
Comment 2 Rene Sedmik 2012-08-27 13:23:49 EDT
I can confirm this bug for kernel
It does not appear for
and previous versions.

It usually happens after a file open in LibreOffice, Kile, or other applications but there is no obvious scheme that would trigger the bug reliably.

The system becomes non-responsive with the cursor being displayed over a full-screen commandline (I think, Gnome is killed) displaying the backtrace as in the previous post with the only difference that the address after 'dereference at', in my case usually is a number above 40. Interestingly, some background tasks such as PulseAudio still continue to run. There is no high load.
Comment 4 Dave Jones 2012-10-23 11:27:38 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 5 Rene Sedmik 2012-10-25 09:08:23 EDT
(In reply to comment #4)
> # Mass update to all open bugs.
> Kernel 3.6.2-1.fc16 has just been pushed to updates.
> This update is a significant rebase from the previous version.
> Please retest with this kernel, and let us know if your problem has been
> fixed.

No more crashes with the new kernel. However, the symptoms disappeared around 2012-09-20 after various updates (in fedora). Due to the unpredictable appearence of the bug, I was not able to pin down the package which caused/fixed the bug.
Comment 6 Jeff Layton 2012-12-17 20:37:27 EST
Based on the last comment, closing with resolution of CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.